#ifndef SBK_WebPageWrapper_H
#define SBK_WebPageWrapper_H

#include <webpage.h>


// Argument includes
#include <QString>
#include <QStringList>
#include <qaction.h>
#include <qbytearray.h>
#include <qcolor.h>
#include <qcoreevent.h>
#include <qicon.h>
#include <qmetaobject.h>
#include <qobject.h>
#include <qobjectdefs.h>
#include <qpagelayout.h>
#include <qpageranges.h>
#include <qpoint.h>
#include <qprinter.h>
#include <qsize.h>
#include <qurl.h>
#include <qvariant.h>
#include <qwebenginecertificateerror.h>
#include <qwebenginedownloadrequest.h>
#include <qwebengineframe.h>
#include <qwebenginefullscreenrequest.h>
#include <qwebenginehttprequest.h>
#include <qwebenginepage.h>
#include <qwebenginesettings.h>
#include <webhittestresult.h>
#include <webview.h>
namespace PySide { class DynamicQMetaObject; }

class WebPageWrapper : public WebPage
{
public:
    WebPageWrapper(const WebPageWrapper &) = delete;
    WebPageWrapper& operator=(const WebPageWrapper &) = delete;
    WebPageWrapper(WebPageWrapper &&) = delete;
    WebPageWrapper& operator=(WebPageWrapper &&) = delete;

    WebPageWrapper(::QObject * parent = nullptr);
    void childEvent_protected(::QChildEvent * event) { QObject::childEvent(event); }
    void childEvent(::QChildEvent * event) override;
    void connectNotify_protected(const ::QMetaMethod & signal) { QObject::connectNotify(signal); }
    void connectNotify(const ::QMetaMethod & signal) override;
    void customEvent_protected(::QEvent * event) { QObject::customEvent(event); }
    void customEvent(::QEvent * event) override;
    void disconnectNotify_protected(const ::QMetaMethod & signal) { QObject::disconnectNotify(signal); }
    void disconnectNotify(const ::QMetaMethod & signal) override;
    bool event(::QEvent * arg__1) override;
    bool eventFilter(::QObject * watched, ::QEvent * event) override;
    void finished_protected() { WebPage::finished(); }
    void javaScriptAlert(const ::QUrl & securityOrigin, const ::QString & msg) override;
    bool javaScriptConfirm(const ::QUrl & securityOrigin, const ::QString & msg) override;
    void javaScriptConsoleMessage(::QWebEnginePage::JavaScriptConsoleMessageLevel level, const ::QString & message, int lineNumber, const ::QString & sourceID) override;
    bool javaScriptPrompt_protected(const ::QUrl & securityOrigin, const ::QString & msg, const ::QString & defaultValue, ::QString * result) { return QWebEnginePage::javaScriptPrompt(securityOrigin, msg, defaultValue, result); }
    bool javaScriptPrompt(const ::QUrl & securityOrigin, const ::QString & msg, const ::QString & defaultValue, ::QString * result) override;
    void progress_protected(int prog) { WebPage::progress(prog); }
    void timerEvent_protected(::QTimerEvent * event) { QObject::timerEvent(event); }
    void timerEvent(::QTimerEvent * event) override;
    void triggerAction(::QWebEnginePage::WebAction action, bool checked = false) override;
    ~WebPageWrapper() override;

    const ::QMetaObject * metaObject() const override;
    int qt_metacall(QMetaObject::Call call, int id, void **args) override;
    void *qt_metacast(const char *_clname) override;
    static void pysideInitQtMetaTypes();
    void resetPyMethodCache();
private:
    static ::std::pair<bool,QString> javaScriptPromptPyOverride(Shiboken::GilState &gil, PyObject *pyOverride, ::QUrl securityOrigin, ::QString msg, ::QString defaultValue);

    mutable bool m_PyMethodCache[12];
};

#  ifndef SBK_QWEBENGINEPAGEWRAPPER_H
#  define SBK_QWEBENGINEPAGEWRAPPER_H

// Inherited base class:
class QWebEnginePageWrapper : public QWebEnginePage
{
public:
    QWebEnginePageWrapper(const QWebEnginePageWrapper &) = delete;
    QWebEnginePageWrapper& operator=(const QWebEnginePageWrapper &) = delete;
    QWebEnginePageWrapper(QWebEnginePageWrapper &&) = delete;
    QWebEnginePageWrapper& operator=(QWebEnginePageWrapper &&) = delete;

    QWebEnginePageWrapper(::QObject * parent = nullptr);
    QWebEnginePageWrapper(::QWebEngineProfile * profile, ::QObject * parent = nullptr);
    bool acceptNavigationRequest_protected(const ::QUrl & url, ::QWebEnginePage::NavigationType type, bool isMainFrame) { return QWebEnginePage::acceptNavigationRequest(url, QWebEnginePage::NavigationType(type), isMainFrame); }
    bool acceptNavigationRequest(const ::QUrl & url, ::QWebEnginePage::NavigationType type, bool isMainFrame) override;
    void childEvent_protected(::QChildEvent * event) { QObject::childEvent(event); }
    void childEvent(::QChildEvent * event) override;
    ::QStringList chooseFiles_protected(::QWebEnginePage::FileSelectionMode mode, const ::QStringList & oldFiles, const ::QStringList & acceptedMimeTypes) { return QWebEnginePage::chooseFiles(QWebEnginePage::FileSelectionMode(mode), oldFiles, acceptedMimeTypes); }
    ::QStringList chooseFiles(::QWebEnginePage::FileSelectionMode mode, const ::QStringList & oldFiles, const ::QStringList & acceptedMimeTypes) override;
    void connectNotify_protected(const ::QMetaMethod & signal) { QObject::connectNotify(signal); }
    void connectNotify(const ::QMetaMethod & signal) override;
    ::QWebEnginePage * createWindow_protected(::QWebEnginePage::WebWindowType type) { return QWebEnginePage::createWindow(QWebEnginePage::WebWindowType(type)); }
    ::QWebEnginePage * createWindow(::QWebEnginePage::WebWindowType type) override;
    void customEvent_protected(::QEvent * event) { QObject::customEvent(event); }
    void customEvent(::QEvent * event) override;
    void disconnectNotify_protected(const ::QMetaMethod & signal) { QObject::disconnectNotify(signal); }
    void disconnectNotify(const ::QMetaMethod & signal) override;
    bool event(::QEvent * arg__1) override;
    bool eventFilter(::QObject * watched, ::QEvent * event) override;
    bool isSignalConnected_protected(const ::QMetaMethod & signal) const { return QObject::isSignalConnected(signal); }
    void javaScriptAlert_protected(const ::QUrl & securityOrigin, const ::QString & msg) { QWebEnginePage::javaScriptAlert(securityOrigin, msg); }
    void javaScriptAlert(const ::QUrl & securityOrigin, const ::QString & msg) override;
    bool javaScriptConfirm_protected(const ::QUrl & securityOrigin, const ::QString & msg) { return QWebEnginePage::javaScriptConfirm(securityOrigin, msg); }
    bool javaScriptConfirm(const ::QUrl & securityOrigin, const ::QString & msg) override;
    void javaScriptConsoleMessage_protected(::QWebEnginePage::JavaScriptConsoleMessageLevel level, const ::QString & message, int lineNumber, const ::QString & sourceID) { QWebEnginePage::javaScriptConsoleMessage(QWebEnginePage::JavaScriptConsoleMessageLevel(level), message, lineNumber, sourceID); }
    void javaScriptConsoleMessage(::QWebEnginePage::JavaScriptConsoleMessageLevel level, const ::QString & message, int lineNumber, const ::QString & sourceID) override;
    bool javaScriptPrompt_protected(const ::QUrl & securityOrigin, const ::QString & msg, const ::QString & defaultValue, ::QString * result) { return QWebEnginePage::javaScriptPrompt(securityOrigin, msg, defaultValue, result); }
    bool javaScriptPrompt(const ::QUrl & securityOrigin, const ::QString & msg, const ::QString & defaultValue, ::QString * result) override;
    int receivers_protected(const char * signal) const { return QObject::receivers(signal); }
    ::QObject * sender_protected() const { return QObject::sender(); }
    int senderSignalIndex_protected() const { return QObject::senderSignalIndex(); }
    void timerEvent_protected(::QTimerEvent * event) { QObject::timerEvent(event); }
    void timerEvent(::QTimerEvent * event) override;
    void triggerAction(::QWebEnginePage::WebAction action, bool checked = false) override;
    ~QWebEnginePageWrapper() override;

    const ::QMetaObject * metaObject() const override;
    int qt_metacall(QMetaObject::Call call, int id, void **args) override;
    void *qt_metacast(const char *_clname) override;
    static void pysideInitQtMetaTypes();
    void resetPyMethodCache();
private:
    static ::std::pair<bool,QString> javaScriptPromptPyOverride(Shiboken::GilState &gil, PyObject *pyOverride, ::QUrl securityOrigin, ::QString msg, ::QString defaultValue);

    mutable bool m_PyMethodCache[15];
};

#  endif // SBK_QWEBENGINEPAGEWRAPPER_H

#  ifndef SBK_QOBJECTWRAPPER_H
#  define SBK_QOBJECTWRAPPER_H

// Inherited base class:
class QObjectWrapper : public QObject
{
public:
    QObjectWrapper(const QObjectWrapper &) = delete;
    QObjectWrapper& operator=(const QObjectWrapper &) = delete;
    QObjectWrapper(QObjectWrapper &&) = delete;
    QObjectWrapper& operator=(QObjectWrapper &&) = delete;

    QObjectWrapper(::QObject * parent = nullptr);
    void childEvent_protected(::QChildEvent * event) { QObject::childEvent(event); }
    void childEvent(::QChildEvent * event) override;
    void connectNotify_protected(const ::QMetaMethod & signal) { QObject::connectNotify(signal); }
    void connectNotify(const ::QMetaMethod & signal) override;
    void customEvent_protected(::QEvent * event) { QObject::customEvent(event); }
    void customEvent(::QEvent * event) override;
    void disconnectNotify_protected(const ::QMetaMethod & signal) { QObject::disconnectNotify(signal); }
    void disconnectNotify(const ::QMetaMethod & signal) override;
    bool event(::QEvent * event) override;
    bool eventFilter(::QObject * watched, ::QEvent * event) override;
    bool isSignalConnected_protected(const ::QMetaMethod & signal) const { return QObject::isSignalConnected(signal); }
    int receivers_protected(const char * signal) const { return QObject::receivers(signal); }
    ::QObject * sender_protected() const { return QObject::sender(); }
    int senderSignalIndex_protected() const { return QObject::senderSignalIndex(); }
    void timerEvent_protected(::QTimerEvent * event) { QObject::timerEvent(event); }
    void timerEvent(::QTimerEvent * event) override;
    ~QObjectWrapper() override;

    const ::QMetaObject * metaObject() const override;
    int qt_metacall(QMetaObject::Call call, int id, void **args) override;
    void *qt_metacast(const char *_clname) override;
    static void pysideInitQtMetaTypes();
    void resetPyMethodCache();
private:
    mutable bool m_PyMethodCache[7];
};

#  endif // SBK_QOBJECTWRAPPER_H

#endif // SBK_WebPageWrapper_H

