#ifndef SBK_WebViewWrapper_H
#define SBK_WebViewWrapper_H

#include <webview.h>


// Argument includes
#include <QList>
#include <QString>
#include <loadrequest.h>
#include <qaction.h>
#include <qbytearray.h>
#include <qcoreevent.h>
#include <qevent.h>
#include <qicon.h>
#include <qmenu.h>
#include <qmetaobject.h>
#include <qnamespace.h>
#include <qobject.h>
#include <qobjectdefs.h>
#include <qpagelayout.h>
#include <qpageranges.h>
#include <qpaintdevice.h>
#include <qpainter.h>
#include <qpoint.h>
#include <qprinter.h>
#include <qrect.h>
#include <qsize.h>
#include <qurl.h>
#include <qvariant.h>
#include <qwebenginecontextmenurequest.h>
#include <qwebenginepage.h>
#include <qwebenginesettings.h>
#include <qwebengineview.h>
#include <qwidget.h>
#include <webhittestresult.h>
#include <webpage.h>
namespace PySide { class DynamicQMetaObject; }

class WebViewWrapper : public WebView
{
public:
    WebViewWrapper(const WebViewWrapper &) = delete;
    WebViewWrapper& operator=(const WebViewWrapper &) = delete;
    WebViewWrapper(WebViewWrapper &&) = delete;
    WebViewWrapper& operator=(WebViewWrapper &&) = delete;

    WebViewWrapper(::QWidget * parent = nullptr);
    void _contextMenuEvent_protected(::QContextMenuEvent * event) { WebView::_contextMenuEvent(event); }
    void _contextMenuEvent(::QContextMenuEvent * event) override;
    void _keyPressEvent_protected(::QKeyEvent * event) { WebView::_keyPressEvent(event); }
    void _keyPressEvent(::QKeyEvent * event) override;
    void _keyReleaseEvent_protected(::QKeyEvent * event) { WebView::_keyReleaseEvent(event); }
    void _keyReleaseEvent(::QKeyEvent * event) override;
    void _mouseMoveEvent_protected(::QMouseEvent * event) { WebView::_mouseMoveEvent(event); }
    void _mouseMoveEvent(::QMouseEvent * event) override;
    void _mousePressEvent_protected(::QMouseEvent * event) { WebView::_mousePressEvent(event); }
    void _mousePressEvent(::QMouseEvent * event) override;
    void _mouseReleaseEvent_protected(::QMouseEvent * event) { WebView::_mouseReleaseEvent(event); }
    void _mouseReleaseEvent(::QMouseEvent * event) override;
    void _wheelEvent_protected(::QWheelEvent * event) { WebView::_wheelEvent(event); }
    void _wheelEvent(::QWheelEvent * event) override;
    void actionEvent_protected(::QActionEvent * event) { QWidget::actionEvent(event); }
    void actionEvent(::QActionEvent * event) override;
    void applyZoom_protected() { WebView::applyZoom(); }
    void bookmarkLink_protected() { WebView::bookmarkLink(); }
    void changeEvent_protected(::QEvent * event) { QWidget::changeEvent(event); }
    void changeEvent(::QEvent * event) override;
    void checkForForm_protected(::QAction * action, const ::QPoint & pos) { WebView::checkForForm(action, pos); }
    void childEvent_protected(::QChildEvent * event) { QObject::childEvent(event); }
    void childEvent(::QChildEvent * event) override;
    void closeEvent_protected(::QCloseEvent * arg__1) { QWebEngineView::closeEvent(arg__1); }
    void closeEvent(::QCloseEvent * arg__1) override;
    void closeView() override;
    void connectNotify_protected(const ::QMetaMethod & signal) { QObject::connectNotify(signal); }
    void connectNotify(const ::QMetaMethod & signal) override;
    void contextMenuEvent_protected(::QContextMenuEvent * event) { WebView::contextMenuEvent(event); }
    void contextMenuEvent(::QContextMenuEvent * event) override;
    void copyImageToClipboard_protected() { WebView::copyImageToClipboard(); }
    void copyLinkToClipboard_protected() { WebView::copyLinkToClipboard(); }
    void createContextMenu_protected(::QMenu * menu, ::WebHitTestResult & hitTest) { WebView::createContextMenu(menu, hitTest); }
    void createImageContextMenu_protected(::QMenu * menu, const ::WebHitTestResult & hitTest) { WebView::createImageContextMenu(menu, hitTest); }
    void createLinkContextMenu_protected(::QMenu * menu, const ::WebHitTestResult & hitTest) { WebView::createLinkContextMenu(menu, hitTest); }
    void createMediaContextMenu_protected(::QMenu * menu, const ::WebHitTestResult & hitTest) { WebView::createMediaContextMenu(menu, hitTest); }
    void createPageContextMenu_protected(::QMenu * menu) { WebView::createPageContextMenu(menu); }
    void createSearchEngine_protected() { WebView::createSearchEngine(); }
    void createSelectedTextContextMenu_protected(::QMenu * menu, const ::WebHitTestResult & hitTest) { WebView::createSelectedTextContextMenu(menu, hitTest); }
    ::QWebEngineView * createWindow_protected(::QWebEnginePage::WebWindowType type) { return QWebEngineView::createWindow(QWebEnginePage::WebWindowType(type)); }
    ::QWebEngineView * createWindow(::QWebEnginePage::WebWindowType type) override;
    void customEvent_protected(::QEvent * event) { QObject::customEvent(event); }
    void customEvent(::QEvent * event) override;
    int devType() const override;
    void disconnectNotify_protected(const ::QMetaMethod & signal) { QObject::disconnectNotify(signal); }
    void disconnectNotify(const ::QMetaMethod & signal) override;
    void downloadImageToDisk_protected() { WebView::downloadImageToDisk(); }
    void downloadLinkToDisk_protected() { WebView::downloadLinkToDisk(); }
    void downloadMediaToDisk_protected() { WebView::downloadMediaToDisk(); }
    void dragEnterEvent_protected(::QDragEnterEvent * e) { QWebEngineView::dragEnterEvent(e); }
    void dragEnterEvent(::QDragEnterEvent * e) override;
    void dragLeaveEvent_protected(::QDragLeaveEvent * e) { QWebEngineView::dragLeaveEvent(e); }
    void dragLeaveEvent(::QDragLeaveEvent * e) override;
    void dragMoveEvent_protected(::QDragMoveEvent * e) { QWebEngineView::dragMoveEvent(e); }
    void dragMoveEvent(::QDragMoveEvent * e) override;
    void dropEvent_protected(::QDropEvent * e) { QWebEngineView::dropEvent(e); }
    void dropEvent(::QDropEvent * e) override;
    void enterEvent_protected(::QEnterEvent * event) { QWidget::enterEvent(event); }
    void enterEvent(::QEnterEvent * event) override;
    bool event_protected(::QEvent * arg__1) { return QWebEngineView::event(arg__1); }
    bool event(::QEvent * arg__1) override;
    bool eventFilter(::QObject * obj, ::QEvent * event) override;
    void focusInEvent_protected(::QFocusEvent * event) { QWidget::focusInEvent(event); }
    void focusInEvent(::QFocusEvent * event) override;
    bool focusNextPrevChild_protected(bool next) { return WebView::focusNextPrevChild(next); }
    bool focusNextPrevChild(bool next) override;
    void focusOutEvent_protected(::QFocusEvent * event) { QWidget::focusOutEvent(event); }
    void focusOutEvent(::QFocusEvent * event) override;
    bool hasHeightForWidth() const override;
    int heightForWidth(int arg__1) const override;
    void hideEvent_protected(::QHideEvent * arg__1) { QWebEngineView::hideEvent(arg__1); }
    void hideEvent(::QHideEvent * arg__1) override;
    void initPainter_protected(::QPainter * painter) const { QWidget::initPainter(painter); }
    void initPainter(::QPainter * painter) const override;
    void inputMethodEvent_protected(::QInputMethodEvent * event) { QWidget::inputMethodEvent(event); }
    void inputMethodEvent(::QInputMethodEvent * event) override;
    ::QVariant inputMethodQuery(::Qt::InputMethodQuery arg__1) const override;
    bool isFullScreen() override;
    void keyPressEvent_protected(::QKeyEvent * event) { QWidget::keyPressEvent(event); }
    void keyPressEvent(::QKeyEvent * event) override;
    void keyReleaseEvent_protected(::QKeyEvent * event) { QWidget::keyReleaseEvent(event); }
    void keyReleaseEvent(::QKeyEvent * event) override;
    void leaveEvent_protected(::QEvent * event) { QWidget::leaveEvent(event); }
    void leaveEvent(::QEvent * event) override;
    void loadInNewTab(const ::LoadRequest & req, ::QFlags<Qz::NewTabPositionFlag> position) override;
    void loadRequest_protected(const ::LoadRequest & req) { WebView::loadRequest(req); }
    int metric_protected(::QPaintDevice::PaintDeviceMetric arg__1) const { return QWidget::metric(QPaintDevice::PaintDeviceMetric(arg__1)); }
    int metric(::QPaintDevice::PaintDeviceMetric arg__1) const override;
    ::QSize minimumSizeHint() const override;
    void mouseDoubleClickEvent_protected(::QMouseEvent * event) { QWidget::mouseDoubleClickEvent(event); }
    void mouseDoubleClickEvent(::QMouseEvent * event) override;
    void mouseMoveEvent_protected(::QMouseEvent * event) { QWidget::mouseMoveEvent(event); }
    void mouseMoveEvent(::QMouseEvent * event) override;
    void mousePressEvent_protected(::QMouseEvent * event) { QWidget::mousePressEvent(event); }
    void mousePressEvent(::QMouseEvent * event) override;
    void mouseReleaseEvent_protected(::QMouseEvent * event) { QWidget::mouseReleaseEvent(event); }
    void mouseReleaseEvent(::QMouseEvent * event) override;
    void moveEvent_protected(::QMoveEvent * event) { QWidget::moveEvent(event); }
    void moveEvent(::QMoveEvent * event) override;
    bool nativeEvent_protected(const ::QByteArray & eventType, void * message, ::qintptr * result) { return QWidget::nativeEvent(eventType, message, result); }
    bool nativeEvent(const ::QByteArray & eventType, void * message, ::qintptr * result) override;
    void openActionUrl_protected() { WebView::openActionUrl(); }
    void openUrlInBackgroundTab_protected() { WebView::openUrlInBackgroundTab(); }
    void openUrlInNewWindow_protected() { WebView::openUrlInNewWindow(); }
    void openUrlInSelectedTab_protected() { WebView::openUrlInSelectedTab(); }
    ::QWidget * overlayWidget() override;
    ::QPaintEngine * paintEngine() const override;
    void paintEvent_protected(::QPaintEvent * event) { QWidget::paintEvent(event); }
    void paintEvent(::QPaintEvent * event) override;
    ::QPaintDevice * redirected_protected(::QPoint * offset) const { return QWidget::redirected(offset); }
    ::QPaintDevice * redirected(::QPoint * offset) const override;
    void requestFullScreen(bool enable) override;
    void resizeEvent_protected(::QResizeEvent * event) { WebView::resizeEvent(event); }
    void resizeEvent(::QResizeEvent * event) override;
    void savePageAs_protected() { WebView::savePageAs(); }
    void searchSelectedText_protected() { WebView::searchSelectedText(); }
    void searchSelectedTextInBackgroundTab_protected() { WebView::searchSelectedTextInBackgroundTab(); }
    void sendTextByMail_protected() { WebView::sendTextByMail(); }
    void setVisible(bool visible) override;
    ::QPainter * sharedPainter_protected() const { return QWidget::sharedPainter(); }
    ::QPainter * sharedPainter() const override;
    void showEvent_protected(::QShowEvent * event) { WebView::showEvent(event); }
    void showEvent(::QShowEvent * event) override;
    void showSiteInfo_protected() { WebView::showSiteInfo(); }
    ::QSize sizeHint() const override;
    void slotIconChanged_protected() { WebView::slotIconChanged(); }
    void slotLoadFinished_protected(bool ok) { WebView::slotLoadFinished(ok); }
    void slotLoadProgress_protected(int progress) { WebView::slotLoadProgress(progress); }
    void slotLoadStarted_protected() { WebView::slotLoadStarted(); }
    void slotTitleChanged_protected(const ::QString & title) { WebView::slotTitleChanged(title); }
    void slotUrlChanged_protected(const ::QUrl & url) { WebView::slotUrlChanged(url); }
    void tabletEvent_protected(::QTabletEvent * event) { QWidget::tabletEvent(event); }
    void tabletEvent(::QTabletEvent * event) override;
    void timerEvent_protected(::QTimerEvent * event) { QObject::timerEvent(event); }
    void timerEvent(::QTimerEvent * event) override;
    void userDefinedOpenUrlInBgTab_protected(const ::QUrl & url = QUrl()) { WebView::userDefinedOpenUrlInBgTab(url); }
    void userDefinedOpenUrlInNewTab_protected(const ::QUrl & url = QUrl(), bool invert = false) { WebView::userDefinedOpenUrlInNewTab(url, invert); }
    void wheelEvent_protected(::QWheelEvent * event) { QWidget::wheelEvent(event); }
    void wheelEvent(::QWheelEvent * event) override;
    ~WebViewWrapper() override;

    const ::QMetaObject * metaObject() const override;
    int qt_metacall(QMetaObject::Call call, int id, void **args) override;
    void *qt_metacast(const char *_clname) override;
    static void pysideInitQtMetaTypes();
    void resetPyMethodCache();
private:
    mutable bool m_PyMethodCache[60];
};

#  ifndef SBK_QWEBENGINEVIEWWRAPPER_H
#  define SBK_QWEBENGINEVIEWWRAPPER_H

// Inherited base class:
class QWebEngineViewWrapper : public QWebEngineView
{
public:
    QWebEngineViewWrapper(const QWebEngineViewWrapper &) = delete;
    QWebEngineViewWrapper& operator=(const QWebEngineViewWrapper &) = delete;
    QWebEngineViewWrapper(QWebEngineViewWrapper &&) = delete;
    QWebEngineViewWrapper& operator=(QWebEngineViewWrapper &&) = delete;

    QWebEngineViewWrapper(::QWebEnginePage * page, ::QWidget * parent = nullptr);
    QWebEngineViewWrapper(::QWebEngineProfile * profile, ::QWidget * parent = nullptr);
    QWebEngineViewWrapper(::QWidget * parent = nullptr);
    void actionEvent_protected(::QActionEvent * event) { QWidget::actionEvent(event); }
    void actionEvent(::QActionEvent * event) override;
    void changeEvent_protected(::QEvent * event) { QWidget::changeEvent(event); }
    void changeEvent(::QEvent * event) override;
    void childEvent_protected(::QChildEvent * event) { QObject::childEvent(event); }
    void childEvent(::QChildEvent * event) override;
    void closeEvent_protected(::QCloseEvent * arg__1) { QWebEngineView::closeEvent(arg__1); }
    void closeEvent(::QCloseEvent * arg__1) override;
    void connectNotify_protected(const ::QMetaMethod & signal) { QObject::connectNotify(signal); }
    void connectNotify(const ::QMetaMethod & signal) override;
    void contextMenuEvent_protected(::QContextMenuEvent * arg__1) { QWebEngineView::contextMenuEvent(arg__1); }
    void contextMenuEvent(::QContextMenuEvent * arg__1) override;
    void create_protected(::WId arg__1 = 0, bool initializeWindow = true, bool destroyOldWindow = true) { QWidget::create(arg__1, initializeWindow, destroyOldWindow); }
    ::QWebEngineView * createWindow_protected(::QWebEnginePage::WebWindowType type) { return QWebEngineView::createWindow(QWebEnginePage::WebWindowType(type)); }
    ::QWebEngineView * createWindow(::QWebEnginePage::WebWindowType type) override;
    void customEvent_protected(::QEvent * event) { QObject::customEvent(event); }
    void customEvent(::QEvent * event) override;
    void destroy_protected(bool destroyWindow = true, bool destroySubWindows = true) { QWidget::destroy(destroyWindow, destroySubWindows); }
    int devType() const override;
    void disconnectNotify_protected(const ::QMetaMethod & signal) { QObject::disconnectNotify(signal); }
    void disconnectNotify(const ::QMetaMethod & signal) override;
    void dragEnterEvent_protected(::QDragEnterEvent * e) { QWebEngineView::dragEnterEvent(e); }
    void dragEnterEvent(::QDragEnterEvent * e) override;
    void dragLeaveEvent_protected(::QDragLeaveEvent * e) { QWebEngineView::dragLeaveEvent(e); }
    void dragLeaveEvent(::QDragLeaveEvent * e) override;
    void dragMoveEvent_protected(::QDragMoveEvent * e) { QWebEngineView::dragMoveEvent(e); }
    void dragMoveEvent(::QDragMoveEvent * e) override;
    void dropEvent_protected(::QDropEvent * e) { QWebEngineView::dropEvent(e); }
    void dropEvent(::QDropEvent * e) override;
    void enterEvent_protected(::QEnterEvent * event) { QWidget::enterEvent(event); }
    void enterEvent(::QEnterEvent * event) override;
    bool event_protected(::QEvent * arg__1) { return QWebEngineView::event(arg__1); }
    bool event(::QEvent * arg__1) override;
    bool eventFilter(::QObject * watched, ::QEvent * event) override;
    void focusInEvent_protected(::QFocusEvent * event) { QWidget::focusInEvent(event); }
    void focusInEvent(::QFocusEvent * event) override;
    bool focusNextChild_protected() { return QWidget::focusNextChild(); }
    bool focusNextPrevChild_protected(bool next) { return QWidget::focusNextPrevChild(next); }
    bool focusNextPrevChild(bool next) override;
    void focusOutEvent_protected(::QFocusEvent * event) { QWidget::focusOutEvent(event); }
    void focusOutEvent(::QFocusEvent * event) override;
    bool focusPreviousChild_protected() { return QWidget::focusPreviousChild(); }
    bool hasHeightForWidth() const override;
    int heightForWidth(int arg__1) const override;
    void hideEvent_protected(::QHideEvent * arg__1) { QWebEngineView::hideEvent(arg__1); }
    void hideEvent(::QHideEvent * arg__1) override;
    void initPainter_protected(::QPainter * painter) const { QWidget::initPainter(painter); }
    void initPainter(::QPainter * painter) const override;
    void inputMethodEvent_protected(::QInputMethodEvent * event) { QWidget::inputMethodEvent(event); }
    void inputMethodEvent(::QInputMethodEvent * event) override;
    ::QVariant inputMethodQuery(::Qt::InputMethodQuery arg__1) const override;
    void keyPressEvent_protected(::QKeyEvent * event) { QWidget::keyPressEvent(event); }
    void keyPressEvent(::QKeyEvent * event) override;
    void keyReleaseEvent_protected(::QKeyEvent * event) { QWidget::keyReleaseEvent(event); }
    void keyReleaseEvent(::QKeyEvent * event) override;
    void leaveEvent_protected(::QEvent * event) { QWidget::leaveEvent(event); }
    void leaveEvent(::QEvent * event) override;
    int metric_protected(::QPaintDevice::PaintDeviceMetric arg__1) const { return QWidget::metric(QPaintDevice::PaintDeviceMetric(arg__1)); }
    int metric(::QPaintDevice::PaintDeviceMetric arg__1) const override;
    ::QSize minimumSizeHint() const override;
    void mouseDoubleClickEvent_protected(::QMouseEvent * event) { QWidget::mouseDoubleClickEvent(event); }
    void mouseDoubleClickEvent(::QMouseEvent * event) override;
    void mouseMoveEvent_protected(::QMouseEvent * event) { QWidget::mouseMoveEvent(event); }
    void mouseMoveEvent(::QMouseEvent * event) override;
    void mousePressEvent_protected(::QMouseEvent * event) { QWidget::mousePressEvent(event); }
    void mousePressEvent(::QMouseEvent * event) override;
    void mouseReleaseEvent_protected(::QMouseEvent * event) { QWidget::mouseReleaseEvent(event); }
    void mouseReleaseEvent(::QMouseEvent * event) override;
    void moveEvent_protected(::QMoveEvent * event) { QWidget::moveEvent(event); }
    void moveEvent(::QMoveEvent * event) override;
    bool nativeEvent_protected(const ::QByteArray & eventType, void * message, ::qintptr * result) { return QWidget::nativeEvent(eventType, message, result); }
    bool nativeEvent(const ::QByteArray & eventType, void * message, ::qintptr * result) override;
    ::QPaintEngine * paintEngine() const override;
    void paintEvent_protected(::QPaintEvent * event) { QWidget::paintEvent(event); }
    void paintEvent(::QPaintEvent * event) override;
    ::QPaintDevice * redirected_protected(::QPoint * offset) const { return QWidget::redirected(offset); }
    ::QPaintDevice * redirected(::QPoint * offset) const override;
    void resizeEvent_protected(::QResizeEvent * event) { QWidget::resizeEvent(event); }
    void resizeEvent(::QResizeEvent * event) override;
    void setVisible(bool visible) override;
    ::QPainter * sharedPainter_protected() const { return QWidget::sharedPainter(); }
    ::QPainter * sharedPainter() const override;
    void showEvent_protected(::QShowEvent * arg__1) { QWebEngineView::showEvent(arg__1); }
    void showEvent(::QShowEvent * arg__1) override;
    ::QSize sizeHint() const override;
    void tabletEvent_protected(::QTabletEvent * event) { QWidget::tabletEvent(event); }
    void tabletEvent(::QTabletEvent * event) override;
    void timerEvent_protected(::QTimerEvent * event) { QObject::timerEvent(event); }
    void timerEvent(::QTimerEvent * event) override;
    void updateMicroFocus_protected(::Qt::InputMethodQuery query = Qt::ImQueryAll) { QWidget::updateMicroFocus(Qt::InputMethodQuery(query)); }
    void wheelEvent_protected(::QWheelEvent * event) { QWidget::wheelEvent(event); }
    void wheelEvent(::QWheelEvent * event) override;
    ~QWebEngineViewWrapper() override;

    const ::QMetaObject * metaObject() const override;
    int qt_metacall(QMetaObject::Call call, int id, void **args) override;
    void *qt_metacast(const char *_clname) override;
    static void pysideInitQtMetaTypes();
    void resetPyMethodCache();
private:
    mutable bool m_PyMethodCache[48];
};

#  endif // SBK_QWEBENGINEVIEWWRAPPER_H

#  ifndef SBK_QWIDGETWRAPPER_H
#  define SBK_QWIDGETWRAPPER_H

// Inherited base class:
class QWidgetWrapper : public QWidget
{
public:
    QWidgetWrapper(const QWidgetWrapper &) = delete;
    QWidgetWrapper& operator=(const QWidgetWrapper &) = delete;
    QWidgetWrapper(QWidgetWrapper &&) = delete;
    QWidgetWrapper& operator=(QWidgetWrapper &&) = delete;

    QWidgetWrapper(::QWidget * parent = nullptr, ::QFlags<Qt::WindowType> f = Qt::WindowFlags());
    void actionEvent_protected(::QActionEvent * event) { QWidget::actionEvent(event); }
    void actionEvent(::QActionEvent * event) override;
    void changeEvent_protected(::QEvent * event) { QWidget::changeEvent(event); }
    void changeEvent(::QEvent * event) override;
    void childEvent_protected(::QChildEvent * event) { QObject::childEvent(event); }
    void childEvent(::QChildEvent * event) override;
    void closeEvent_protected(::QCloseEvent * event) { QWidget::closeEvent(event); }
    void closeEvent(::QCloseEvent * event) override;
    void connectNotify_protected(const ::QMetaMethod & signal) { QObject::connectNotify(signal); }
    void connectNotify(const ::QMetaMethod & signal) override;
    void contextMenuEvent_protected(::QContextMenuEvent * event) { QWidget::contextMenuEvent(event); }
    void contextMenuEvent(::QContextMenuEvent * event) override;
    void create_protected(::WId arg__1 = 0, bool initializeWindow = true, bool destroyOldWindow = true) { QWidget::create(arg__1, initializeWindow, destroyOldWindow); }
    void customEvent_protected(::QEvent * event) { QObject::customEvent(event); }
    void customEvent(::QEvent * event) override;
    void destroy_protected(bool destroyWindow = true, bool destroySubWindows = true) { QWidget::destroy(destroyWindow, destroySubWindows); }
    int devType() const override;
    void disconnectNotify_protected(const ::QMetaMethod & signal) { QObject::disconnectNotify(signal); }
    void disconnectNotify(const ::QMetaMethod & signal) override;
    void dragEnterEvent_protected(::QDragEnterEvent * event) { QWidget::dragEnterEvent(event); }
    void dragEnterEvent(::QDragEnterEvent * event) override;
    void dragLeaveEvent_protected(::QDragLeaveEvent * event) { QWidget::dragLeaveEvent(event); }
    void dragLeaveEvent(::QDragLeaveEvent * event) override;
    void dragMoveEvent_protected(::QDragMoveEvent * event) { QWidget::dragMoveEvent(event); }
    void dragMoveEvent(::QDragMoveEvent * event) override;
    void dropEvent_protected(::QDropEvent * event) { QWidget::dropEvent(event); }
    void dropEvent(::QDropEvent * event) override;
    void enterEvent_protected(::QEnterEvent * event) { QWidget::enterEvent(event); }
    void enterEvent(::QEnterEvent * event) override;
    bool event_protected(::QEvent * event) { return QWidget::event(event); }
    bool event(::QEvent * event) override;
    bool eventFilter(::QObject * watched, ::QEvent * event) override;
    void focusInEvent_protected(::QFocusEvent * event) { QWidget::focusInEvent(event); }
    void focusInEvent(::QFocusEvent * event) override;
    bool focusNextChild_protected() { return QWidget::focusNextChild(); }
    bool focusNextPrevChild_protected(bool next) { return QWidget::focusNextPrevChild(next); }
    bool focusNextPrevChild(bool next) override;
    void focusOutEvent_protected(::QFocusEvent * event) { QWidget::focusOutEvent(event); }
    void focusOutEvent(::QFocusEvent * event) override;
    bool focusPreviousChild_protected() { return QWidget::focusPreviousChild(); }
    bool hasHeightForWidth() const override;
    int heightForWidth(int arg__1) const override;
    void hideEvent_protected(::QHideEvent * event) { QWidget::hideEvent(event); }
    void hideEvent(::QHideEvent * event) override;
    void initPainter_protected(::QPainter * painter) const { QWidget::initPainter(painter); }
    void initPainter(::QPainter * painter) const override;
    void inputMethodEvent_protected(::QInputMethodEvent * event) { QWidget::inputMethodEvent(event); }
    void inputMethodEvent(::QInputMethodEvent * event) override;
    ::QVariant inputMethodQuery(::Qt::InputMethodQuery arg__1) const override;
    bool isSignalConnected_protected(const ::QMetaMethod & signal) const { return QObject::isSignalConnected(signal); }
    void keyPressEvent_protected(::QKeyEvent * event) { QWidget::keyPressEvent(event); }
    void keyPressEvent(::QKeyEvent * event) override;
    void keyReleaseEvent_protected(::QKeyEvent * event) { QWidget::keyReleaseEvent(event); }
    void keyReleaseEvent(::QKeyEvent * event) override;
    void leaveEvent_protected(::QEvent * event) { QWidget::leaveEvent(event); }
    void leaveEvent(::QEvent * event) override;
    int metric_protected(::QPaintDevice::PaintDeviceMetric arg__1) const { return QWidget::metric(QPaintDevice::PaintDeviceMetric(arg__1)); }
    int metric(::QPaintDevice::PaintDeviceMetric arg__1) const override;
    ::QSize minimumSizeHint() const override;
    void mouseDoubleClickEvent_protected(::QMouseEvent * event) { QWidget::mouseDoubleClickEvent(event); }
    void mouseDoubleClickEvent(::QMouseEvent * event) override;
    void mouseMoveEvent_protected(::QMouseEvent * event) { QWidget::mouseMoveEvent(event); }
    void mouseMoveEvent(::QMouseEvent * event) override;
    void mousePressEvent_protected(::QMouseEvent * event) { QWidget::mousePressEvent(event); }
    void mousePressEvent(::QMouseEvent * event) override;
    void mouseReleaseEvent_protected(::QMouseEvent * event) { QWidget::mouseReleaseEvent(event); }
    void mouseReleaseEvent(::QMouseEvent * event) override;
    void moveEvent_protected(::QMoveEvent * event) { QWidget::moveEvent(event); }
    void moveEvent(::QMoveEvent * event) override;
    bool nativeEvent_protected(const ::QByteArray & eventType, void * message, ::qintptr * result) { return QWidget::nativeEvent(eventType, message, result); }
    bool nativeEvent(const ::QByteArray & eventType, void * message, ::qintptr * result) override;
    ::QPaintEngine * paintEngine() const override;
    void paintEvent_protected(::QPaintEvent * event) { QWidget::paintEvent(event); }
    void paintEvent(::QPaintEvent * event) override;
    int receivers_protected(const char * signal) const { return QObject::receivers(signal); }
    ::QPaintDevice * redirected_protected(::QPoint * offset) const { return QWidget::redirected(offset); }
    ::QPaintDevice * redirected(::QPoint * offset) const override;
    void resizeEvent_protected(::QResizeEvent * event) { QWidget::resizeEvent(event); }
    void resizeEvent(::QResizeEvent * event) override;
    ::QObject * sender_protected() const { return QObject::sender(); }
    int senderSignalIndex_protected() const { return QObject::senderSignalIndex(); }
    void setVisible(bool visible) override;
    ::QPainter * sharedPainter_protected() const { return QWidget::sharedPainter(); }
    ::QPainter * sharedPainter() const override;
    void showEvent_protected(::QShowEvent * event) { QWidget::showEvent(event); }
    void showEvent(::QShowEvent * event) override;
    ::QSize sizeHint() const override;
    void tabletEvent_protected(::QTabletEvent * event) { QWidget::tabletEvent(event); }
    void tabletEvent(::QTabletEvent * event) override;
    void timerEvent_protected(::QTimerEvent * event) { QObject::timerEvent(event); }
    void timerEvent(::QTimerEvent * event) override;
    void updateMicroFocus_protected(::Qt::InputMethodQuery query = Qt::ImQueryAll) { QWidget::updateMicroFocus(Qt::InputMethodQuery(query)); }
    void wheelEvent_protected(::QWheelEvent * event) { QWidget::wheelEvent(event); }
    void wheelEvent(::QWheelEvent * event) override;
    ~QWidgetWrapper() override;

    const ::QMetaObject * metaObject() const override;
    int qt_metacall(QMetaObject::Call call, int id, void **args) override;
    void *qt_metacast(const char *_clname) override;
    static void pysideInitQtMetaTypes();
    void resetPyMethodCache();
private:
    mutable bool m_PyMethodCache[47];
};

#  endif // SBK_QWIDGETWRAPPER_H

#  ifndef SBK_QOBJECTWRAPPER_H
#  define SBK_QOBJECTWRAPPER_H

// Inherited base class:
class QObjectWrapper : public QObject
{
public:
    QObjectWrapper(const QObjectWrapper &) = delete;
    QObjectWrapper& operator=(const QObjectWrapper &) = delete;
    QObjectWrapper(QObjectWrapper &&) = delete;
    QObjectWrapper& operator=(QObjectWrapper &&) = delete;

    QObjectWrapper(::QObject * parent = nullptr);
    void childEvent_protected(::QChildEvent * event) { QObject::childEvent(event); }
    void childEvent(::QChildEvent * event) override;
    void connectNotify_protected(const ::QMetaMethod & signal) { QObject::connectNotify(signal); }
    void connectNotify(const ::QMetaMethod & signal) override;
    void customEvent_protected(::QEvent * event) { QObject::customEvent(event); }
    void customEvent(::QEvent * event) override;
    void disconnectNotify_protected(const ::QMetaMethod & signal) { QObject::disconnectNotify(signal); }
    void disconnectNotify(const ::QMetaMethod & signal) override;
    bool event(::QEvent * event) override;
    bool eventFilter(::QObject * watched, ::QEvent * event) override;
    bool isSignalConnected_protected(const ::QMetaMethod & signal) const { return QObject::isSignalConnected(signal); }
    int receivers_protected(const char * signal) const { return QObject::receivers(signal); }
    ::QObject * sender_protected() const { return QObject::sender(); }
    int senderSignalIndex_protected() const { return QObject::senderSignalIndex(); }
    void timerEvent_protected(::QTimerEvent * event) { QObject::timerEvent(event); }
    void timerEvent(::QTimerEvent * event) override;
    ~QObjectWrapper() override;

    const ::QMetaObject * metaObject() const override;
    int qt_metacall(QMetaObject::Call call, int id, void **args) override;
    void *qt_metacast(const char *_clname) override;
    static void pysideInitQtMetaTypes();
    void resetPyMethodCache();
private:
    mutable bool m_PyMethodCache[7];
};

#  endif // SBK_QOBJECTWRAPPER_H

#  ifndef SBK_QPAINTDEVICEWRAPPER_H
#  define SBK_QPAINTDEVICEWRAPPER_H

// Inherited base class:
class QPaintDeviceWrapper : public QPaintDevice
{
public:
    QPaintDeviceWrapper(const QPaintDeviceWrapper &) = delete;
    QPaintDeviceWrapper& operator=(const QPaintDeviceWrapper &) = delete;
    QPaintDeviceWrapper(QPaintDeviceWrapper &&) = delete;
    QPaintDeviceWrapper& operator=(QPaintDeviceWrapper &&) = delete;


    // Make protected fields accessible
    using QPaintDevice::painters;

    QPaintDeviceWrapper() noexcept;
    int devType() const override;
    double getDecodedMetricF_protected(::QPaintDevice::PaintDeviceMetric metricA, ::QPaintDevice::PaintDeviceMetric metricB) const { return QPaintDevice::getDecodedMetricF(QPaintDevice::PaintDeviceMetric(metricA), QPaintDevice::PaintDeviceMetric(metricB)); }
    void initPainter_protected(::QPainter * painter) const { QPaintDevice::initPainter(painter); }
    void initPainter(::QPainter * painter) const override;
    int metric_protected(::QPaintDevice::PaintDeviceMetric metric) const { return QPaintDevice::metric(QPaintDevice::PaintDeviceMetric(metric)); }
    int metric(::QPaintDevice::PaintDeviceMetric metric) const override;
    ::QPaintEngine * paintEngine() const override;
    ::QPaintDevice * redirected_protected(::QPoint * offset) const { return QPaintDevice::redirected(offset); }
    ::QPaintDevice * redirected(::QPoint * offset) const override;
    ::QPainter * sharedPainter_protected() const { return QPaintDevice::sharedPainter(); }
    ::QPainter * sharedPainter() const override;
    ~QPaintDeviceWrapper() override;
    static void pysideInitQtMetaTypes();
    void resetPyMethodCache();
private:
    mutable bool m_PyMethodCache[6];
};

#  endif // SBK_QPAINTDEVICEWRAPPER_H

#endif // SBK_WebViewWrapper_H

